Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 224610

Summary: CVE-2007-0455 gd buffer overrun
Product: [Fedora] Fedora Reporter: Josh Bressers <bressers>
Component: gdAssignee: Ivana Varekova <varekova>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: low    
Version: 6Keywords: Security
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,source=vendorsec,reported=20070124,public=20070126
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-01-29 09:25:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Josh Bressers 2007-01-26 17:53:19 UTC
+++ This bug was initially created as a clone of Bug #224607 +++

Kees Cook from Ubuntu reported a "off-the-end-of-string increment", which could
theoretically lead ot a buffer overflow.

This flaw would only be exploitable if a JIS-encoded font is used when
processing a special malicious string.

The issue here is that the NULL terminator is incremented, which could lead to
unknown results during the processing of the malicious string.

Index: gdft.c
===================================================================
RCS file: /repository/gd/libgd/gdft.c,v
retrieving revision 1.28
diff -u -p -r1.28 gdft.c
--- gdft.c      3 Jan 2007 21:21:21 -0000       1.28
+++ gdft.c      24 Jan 2007 23:00:55 -0000
@@ -1178,7 +1178,7 @@ fprintf(stderr,"dpi=%d,%d metric_res=%d 
                {
                  ch = c & 0xFF;        /* don't extend sign */
                }
-             next++;
+             if (*next) next++;
            }
            break;
          case gdFTEX_Big5:

This flaw also affects FC5

Comment 1 Ivana Varekova 2007-01-29 09:25:02 UTC
Fixed in gd-2.0.33-12.fc7 in devel branch (gd-2.0.33-10.fc6 - in fc6,
gd-2.0.33-7.fc5 in fc5)